## ros-indigo-yocs-ar-pair-tracking 0.6.4

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(yocs_ar_pair_tracking)

##############################################################################
# Find
##############################################################################

find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  geometry_msgs
  yocs_math_toolkit
  yocs_ar_marker_tracking
  ar_track_alvar_msgs
  yocs_msgs
)

find_package(Boost REQUIRED COMPONENTS system)

##############################################################################
# Catkin
##############################################################################

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES yocs_ar_pair_tracking
  CATKIN_DEPENDS roscpp ar_track_alvar_msgs std_msgs geometry_msgs yocs_math_toolkit yocs_ar_marker_tracking yocs_msgs
  DEPENDS Boost
)

##############################################################################
# Build
##############################################################################

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_subdirectory(src)

##############################################################################
# Install
##############################################################################

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== src/CMakeLists.txt ===
###############################################################################
# Subdirectories
###############################################################################

add_subdirectory(lib)
add_subdirectory(client)

###############################################################################
# Nodes
###############################################################################

add_executable(yocs_ar_pair_tracking_node main.cpp)
target_link_libraries(yocs_ar_pair_tracking_node yocs_ar_pair_tracking)

###############################################################################
# Install
###############################################################################

install(TARGETS yocs_ar_pair_tracking_node
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== src/client/CMakeLists.txt ===
###############################################################################
# Sources
###############################################################################

file(GLOB SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)

###############################################################################
# Build
###############################################################################

add_executable(yocs_ar_pair_client ${SOURCES})
target_link_libraries(yocs_ar_pair_client ${catkin_LIBRARIES})

###############################################################################
# Install
###############################################################################

install(TARGETS yocs_ar_pair_client
 DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-yocs-ar-pair-tracking (0.6.4-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-yocs-ar-pair-tracking (0.6.3-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 04 Dec 2014 15:00:00 -0000

ros-indigo-yocs-ar-pair-tracking (0.6.2-0trusty) trusty; urgency=high

  * update navigation configurations
  * switch maintainer to jihoonl and add yaml-cpp dependency. Fix #56 <https://github.com/yujinrobot/yujin_ocs/issues/56>
  * reduce covariance size to fix #53 <https://github.com/yujinrobot/yujin_ocs/issues/53>
  * reduce covariance size to fix #53 <https://github.com/yujinrobot/yujin_ocs/issues/53>
  * add issue tracker and repository info
  * Contributors: Jihoon Lee, dwlee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sat, 29 Nov 2014 15:00:00 -0000

ros-indigo-yocs-ar-pair-tracking (0.6.1-0trusty) trusty; urgency=high

  * remove eclipse files from bad src location.
  * apply install rules for new packages
  * use ar_track_alvar_msgs instead of ar_track_alvar
  * covariance matrix when it creates pose message closes #34 <https://github.com/yujinrobot/yujin_ocs/issues/34>
  * ar_pair_tracking system working
  * migrates ar marker based algorithms from kobuki x
  * Contributors: Daniel Stonier, Jihoon Lee, jihoonl

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 07 Jul 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-yocs-ar-pair-tracking
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-ar-track-alvar-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-yocs-ar-marker-tracking, ros-indigo-yocs-math-toolkit, ros-indigo-yocs-msgs
Homepage: http://wiki.ros.org/yocs_ar_pair_tracking
Standards-Version: 3.9.2

Package: ros-indigo-yocs-ar-pair-tracking
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-ar-track-alvar-msgs, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-yocs-ar-marker-tracking, ros-indigo-yocs-math-toolkit, ros-indigo-yocs-msgs
Description: The AR pair tracking package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-yocs-ar-pair-tracking//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
